---
title: DeviceMotionEvent.DeviceMotionEvent()
slug: Web/API/DeviceMotionEvent/DeviceMotionEvent
tags:
  - API
  - Constructor
  - Device Orientation
  - Device Orientation API
  - Experimental
  - Mobile
  - Motion
  - Non-standard
  - Orientation
  - Reference
---
<p>{{APIRef("Device Orientation Events")}}{{Non-standard_header}}</p>

<p>The <strong><code>DeviceMotionEvent</code></strong> constructor creates a new {{DOMxRef("DeviceMotionEvent")}}.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox">var deviceMotionEvent = new DeviceMotionEvent(type[, options])</pre>

<h3 id="Parameters">Parameters</h3>

<dl>
 <dt><code>type</code></dt>
 <dd>Must be <code>"devicemotion"</code>.</dd>
 <dt><code>options</code>{{Optional_Inline}}</dt>
 <dd>Options are as follows:
 <ul>
  <li><code>acceleration</code>: An object giving the acceleration of the device on the three axis X, Y and Z. Acceleration is expressed in <a href="https://en.wikipedia.org/wiki/Meter_per_second_squared">m/s<sup>2</sup></a>.</li>
  <li><code>accelerationIncludingGravity</code>: An object giving the acceleration of the device on the three axis X, Y and Z with the effect of gravity. Acceleration is expressed in <a href="https://en.wikipedia.org/wiki/Meter_per_second_squared">m/s<sup>2</sup></a>.</li>
  <li><code>rotationRate</code>: An object giving the rate of change of the device's orientation on the three orientation axis alpha, beta and gamma. Rotation rate is express in degrees per seconds.</li>
  <li><code>interval</code>: A number representing the interval of time, in milliseconds, at which data is obtained from the device.</li>
 </ul>
 </dd>
</dl>

<h2 id="Specifications">Specifications</h2>

<p><em>Not part of any specifications.</em></p>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.DeviceMotionEvent.DeviceMotionEvent")}}</p>
